FreeMat

- Main Page
- Related Pages

vtkXMLPMultiBlockDataWriter

Section: Visualization Toolkit Parallel Classes

# Usage

vtkXMLPCompositeDataWriter writes (in parallel or serially) the VTK XML multi-group, multi-block hierarchical and hierarchical box files. XML multi-group data files are meta-files that point to a list of serial VTK XML files.

To create an instance of class vtkXMLPMultiBlockDataWriter, simply invoke its constructor as follows

      obj = vtkXMLPMultiBlockDataWriter

# Methods

The class vtkXMLPMultiBlockDataWriter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkXMLPMultiBlockDataWriter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkXMLPMultiBlockDataWriter = obj.NewInstance ()`
- `vtkXMLPMultiBlockDataWriter = obj.SafeDownCast (vtkObject o)`
- `obj.SetController (vtkMultiProcessController )` - Controller used to communicate data type of blocks. By default, the global controller is used. If you want another controller to be used, set it with this. If no controller is set, only the local blocks will be written to the meta-file.
- `vtkMultiProcessController = obj.GetController ()` - Controller used to communicate data type of blocks. By default, the global controller is used. If you want another controller to be used, set it with this. If no controller is set, only the local blocks will be written to the meta-file.
- `obj.SetWriteMetaFile (int flag)` - Set whether this instance will write the meta-file. WriteMetaFile is set to flag only on process 0 and all other processes have WriteMetaFile set to 0 by default.